import { I18nValidationError } from './interfaces/i18n-validation-error.interface';
import { I18nService, TranslateOptions } from './services/i18n.service';
export declare class I18nContext {
    readonly lang: string;
    readonly service: I18nService;
    private static storage;
    private static counter;
    readonly id: number;
    get i18n(): I18nContext | undefined;
    constructor(lang: string, service: I18nService);
    translate<T = any>(key: string, options?: TranslateOptions): T;
    t<T = any>(key: string, options?: TranslateOptions): T;
    validate(value: any, options?: TranslateOptions): Promise<I18nValidationError[]>;
    static create(ctx: I18nContext, next: (...args: any[]) => void): void;
    static createAsync<T>(ctx: I18nContext, next: (...args: any[]) => Promise<T>): Promise<T>;
    static current(): I18nContext | undefined;
}
