"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getContextObject = void 0;
const common_1 = require("@nestjs/common");
const logger = new common_1.Logger('I18nService');
function getContextObject(context) {
    switch (context.getType()) {
        case 'http':
            return context.switchToHttp().getRequest();
        case 'graphql':
            return context.getArgs()[2];
        case 'rpc':
            return context.switchToRpc().getContext();
        default:
            logger.warn(`context type: ${context.getType()} not supported`);
    }
}
exports.getContextObject = getContextObject;
//# sourceMappingURL=context.js.map